params = Set_params();
BinsOrSet = Save_BinsOrSet(params);

T = round(logspace(4,2,10));
relErr = zeros(length(T),1);

for i = 1:length(T)
    CPT_SA{i} = GenCPT_statisticA(params,BinsOrSet,T(i));
    relErr(i) = max(abs((CPT_SA{i}(:)-CPT_SA{1}(:))));
end

figure;
semilogx(T,relErr)
title('CPT_SA');
xlabel('Number of samples');
ylabel('Max abs error relative to baseline');