function BinsOrSets_md = BinsOrSets_MD(params)
BinsOrSets = BinsOrSets_Support(params);

V1_binCenters = BinsOrSets.V1set;
V1_binEdges = [-Inf, (V1_binCenters(1:end-1)+V1_binCenters(2:end))/2, Inf];
V2_binEdges = BinsOrSets.V2n3bins;
V3_binEdges = BinsOrSets.V2n3bins;
SD_binCenters = 1:params.SampleMD_NstatD;
SD_binEdges = [-Inf, (SD_binCenters(1:end-1)+SD_binCenters(2:end))/2, Inf];
D_binCenters = params.dXset;
D_binEdges = [-Inf, (D_binCenters(1:end-1)+D_binCenters(2:end))/2, Inf];


BinsOrSets_md.binsVec{1} = V1_binEdges;
BinsOrSets_md.binsVec{2} = V2_binEdges;
BinsOrSets_md.binsVec{3} = V3_binEdges;
BinsOrSets_md.binsVec{4} = SD_binEdges;
BinsOrSets_md.binsVec{5} = D_binEdges;

end