function PGS = Apply_Load(PGS, params)
    p2min = params.p2min;
    p2max = params.p2max;
    a = params.a;

    p2 = p2min + (p2max-p2min) * rand();
    q2 = a * p2;

    PGS = PGS.setAttribute(2, PowerGridSystem.REAL_LOAD, p2);
    PGS = PGS.setAttribute(2, PowerGridSystem.REACTIVE_LOAD, q2);
end