function B = Slice_pack(S,OD,OA,MD,MA,D,A)
%Packs the instantiation of a Bayes net time slice neatly into a single variable

B{1} = S;            %S = [P2,Q2,P1,Q1,V1,V2,V3,x]'
B{2} = OD;            %OD Defender's observation
B{3} = OA;            %OA Attacker's observation
B{4} = MD;            %MD Defender's memory
B{5} = MA;            %MA Attacker's memory
B{6} = D;       %deltaX Defender's action (index)
B{7} = A;            %m Attacker's move (index)


end