function [S,OD,OA,MD,MA,D,A] = Slice_unpack(B)
%Unpacks the instantiation of a Bayes net time slice from a single
%variable


S = B{1};            %S = [P2,Q2,P1,Q1,V1,V2,V3,x]'
OD = B{2};            %OD Defender's observation
OA = B{3};            %OA Attacker's observation
MD = B{4};            %MD Defender's memory
MA = B{5};            %MA Attacker's memory
D = B{6};            %deltaX Defender's action (index)
A = B{7};            %m Attacker's move (index)

end