function CPTs = Save_CPTs(thetaD, thetaA, params, BinsOrSet)
% This function is used to save all CPTs
% Inputs: Parameter thetaD representing defender's characteristics
%         Parameter thetaA representing attacker's characteristics
%         global parameters
%         the bins or the set of possible values of each node
% Output: CPT_V1, CPT_V2, CPT_V3

    CPTs.V1 = GenCPT_V1(params, BinsOrSet);
    CPTs.V2 = GenCPT_V2(params, BinsOrSet);
    CPTs.V3 = GenCPT_V3(params, BinsOrSet);
    CPTs.ScottAttL0 = GenCPT_ScottAttL0(thetaA, params, BinsOrSet);
    CPTs.ScottDefL0 = GenCPT_ScottDefL0(thetaD, params, BinsOrSet);
    CPTs.statisticD = GenCPT_statisticD(params,BinsOrSet);
    CPTs. statisticA = GenCPT_statisticA(params,BinsOrSet);
end