function ER = Save_expectedReward(params, BinsOrSet)
% This function is used to save expected rewards of attacker and defender
% Inputs: global parameters
%         Bins for V2 and V3
% Output: ER

    ER.Att = Expected_AttReward(params, BinsOrSet); % expected rewards of attacker
    
    ER.Def = Expected_DefReward(params, BinsOrSet); % expected rewards of defender
    
end