params = Set_params();
BinsOrSet = Save_BinsOrSet(params);

T = round(logspace(6,2,10));
relErr = zeros(length(T),1);

for i = 1:length(T)
    CPT_V1{i} = GenCPT_V1(params,BinsOrSet,T(i));
    relErr(i) = max(abs((CPT_V1{i}(:)-CPT_V1{1}(:))));
end

figure;
semilogx(T,relErr)
title('CPT_V1');
xlabel('Number of samples');
ylabel('Max abs error relative to baseline');