params = Set_params();
BinsOrSet = Save_BinsOrSet(params);

T = round(logspace(6,2,10));
relErr = zeros(length(T),1);

for i = 1:length(T)
    CPT_V3{i} = GenCPT_V3(params,BinsOrSet,T(i));
    relErr(i) = sum((CPT_V3{i}(:)-CPT_V3{1}(:)).^2);
end

figure;
semilogx(T,relErr)
title('CPT_V3');
xlabel('Number of samples');
ylabel('Max abs error relative to baseline');