function fileroot = SaveDescription( fileroot, ppack )

if( nargin == 0 )
    fileroot = int2str(datevec(now));
    fileroot(ismember(fileroot,' ')) = [];
end

filename = fullfile('Saves', [fileroot '.txt']);
diary(filename);

fprintf('\nParams =\n');
disp(ppack.params)

fprintf('\nBinsOrSet =\n');
BoSNames = fieldnames(ppack.BinsOrSet);
for i = 1:numel(BoSNames)
    disp(BoSNames{i});
    disp(getfield(ppack.BinsOrSet, BoSNames{i}));
end

diary off;