close all

%Set parameters
ppack.params = Set_params();
ppack.BinsOrSet = Save_BinsOrSet(ppack.params);
ppack.params.player_type = 1; %continuous players

L0Attacker.mode = 3;
L0Attacker.thetaA = 0.07;
L0Attacker.useContL0 = 1;

L0Defender.mode = 3;
L0Defender.thetaD = 0;
L0Defender.useContL0 = 1;

%Train defender using linear fitted q-iteration
L1Defender = Train_defender_FQI( L0Attacker, ppack, 0);

L0Attacker.exist = 1; %attacker exists
Simulate(L1Defender, L0Attacker, 1, ppack, inf);

% Calculate average reward and social welfare
[defAvgReward, defAvgRewardSEM, attAvgReward, attAvgRewardSEM, ...
    defAvgNumMove, defAvgNumMoveSEM, AvgSocWelf, AvgSocWelfSEM] ... 
                = Average_rewards( L1Defender, L0Attacker, 100, false, ppack);
 
defAvgReward 
AvgSocWelf