function sarsann = Set_params_SARSANN()
% Set your RL parameters here

%player parameters
sarsann.nTrainEpsDef = 500;   %Number of training episodes for defender
sarsann.nTrainEpsAtt = 500;   %Number of training episodes for attacker
sarsann.epsD = 0.1;  %final epsilon for defender
sarsann.epsA = 0.1;  %final epsilon for attacker

% SARSA parameters
sarsann.gamma = 0.95;   %Discount factor
sarsann.schedule_mode = 0; %0=no scheduling; 1=3-segment
sarsann.schedule_start = 0.8; %3-segment scheduling starting eps