function PGS = Apply_Def( PGS, DefMove, params )
    V0 = params.V0;
    dV = params.dV;
    N = params.N;
    V1max = V0+dV;
    V1min = V0-dV;

    V1old = PGS.getAttribute(1, PowerGridSystem.VOLTAGE_MAGNITUDE);
    V1new = V1old + DefMove * dV / N;
    V1new = min( V1new, V1max );
    V1new = max( V1new, V1min );
   
    PGS = PGS.setAttribute( 1, PowerGridSystem.VOLTAGE_MAGNITUDE, V1new );
end