function r = Reward_Att(PGS, mems, moves, params)
V0 = params.V0;
eps = params.eps;
V2 = PGS.getAttribute(2, PowerGridSystem.VOLTAGE_MAGNITUDE);
    
r = 10*Heaviside( V2/V0-(1+eps) ) ...
        + 10*Heaviside( (1-eps)-V2/V0 );

end

function H = Heaviside( arg )
    
H = ( arg >= 0 );

end